// $Id: RandGauss.inl,v 1.1.1.1 2000/04/03 21:03:45 wilko Exp $
// -*- C++ -*-
// 
// -----------------------------------------------------------------------
//                             HEP Random
//                         --- RandGauss ---
//                 inlined functions implementation file
// -----------------------------------------------------------------------
// This file is part of Geant4 (simulation toolkit for HEP).
 
// =======================================================================
// Gabriele Cosmo - Created: 19th August 1998
// =======================================================================

inline RandGauss::RandGauss(HepRandomEngine & anEngine, HepDouble mean,
                                                        HepDouble stdDev )
: localEngine(&anEngine), deleteEngine(false), set(false),
  nextGauss(0.0), defaultMean(mean), defaultStdDev(stdDev) {}

inline RandGauss::RandGauss(HepRandomEngine * anEngine, HepDouble mean,
                                                        HepDouble stdDev )
: localEngine(anEngine), deleteEngine(true), set(false),
  nextGauss(0.0), defaultMean(mean), defaultStdDev(stdDev) {}

inline HepDouble RandGauss::shoot(HepDouble mean, HepDouble stdDev) {
  return shoot()*stdDev + mean;
}

inline HepDouble RandGauss::shoot(HepRandomEngine* anEngine,
                                  HepDouble mean, HepDouble stdDev) {
  return shoot(anEngine)*stdDev + mean;
}

inline HepDouble RandGauss::fire() {
  return normal()*defaultStdDev + defaultMean;
}

inline HepDouble RandGauss::fire(HepDouble mean, HepDouble stdDev) {
  return normal()*stdDev + mean;
}
