#include "Event/centellaAlg.h"
#include "Event/processManager.h"

//##########################################
void centellaAlg::initialize()
//##########################################
{
	/*! overwrite the initialize method to check if the algorith has
	been defined. If not define it first.*/
	if (!defined()) define();
	algorithmTree::initialize();
}
//##########################################
void centellaAlg::define()
//##########################################
{
	setDefine(true);

	/*! get the processManager */
	processManager* pM = processManager::instance();

	/*! define the algorithms of this class */
	/*! load the initial algorithms */
	iniAlg()->add("comWriteWelcome",   pM->getAlgorithm("comWriteWelcome"));
	iniAlg()->add("comApplyOptions",   pM->getAlgorithm("comApplyOptions"));
	iniAlg()->add("comLoadCalibration",pM->getAlgorithm("comLoadCalibration"));
	iniAlg()->add("comOpenIO",         pM->getAlgorithm("comOpenIO"));
	iniAlg()->add("comWriteOutInfo",   pM->getAlgorithm("comWriteOutInfo"));
	
	/*! initialize running the iniOfRun algorithm*/
	iniAlg()->add("iniOfRun",          pM->getAlgorithm("iniOfRun"));

	/*! load the execution algorithms */
	/*! execute running the runRunAlg algorithm*/
	exeAlg()->add("runRunAlg",         pM->getAlgorithm("runRunAlg"));

	//! load the finalize algorithms
	/*! finalize  running the endOfRun algorithm*/
	finAlg()->add("endOfRun",          pM->getAlgorithm("endOfRun"));
	finAlg()->add("comCloseIO",        pM->getAlgorithm("comCloseIO"));
	finAlg()->add("comWriteBye",       pM->getAlgorithm("comWriteBye"));
}