#include "Event/centellaAlgorithms.h"
#include "Event/processManager.h"

#include "Event/centellaCommands.h"

#include "Event/centellaAlg.h"
#include "Event/runEventAlg.h"
#include "Event/runRunAlg.h"

//######################################
centellaAlgorithms::centellaAlgorithms()
//######################################
{
	processManager* pM = processManager::instance();
	
	/*! adds the system commands */
	pM->addAlgorithm("comApplyOptions",  new comApplyOptions());
	pM->addAlgorithm("comCloseIO",       new comCloseIO());
	pM->addAlgorithm("comListOptions",   new comListOptions());
	pM->addAlgorithm("comLoadCalibration", new comLoadCalibration());
	pM->addAlgorithm("comOpenIO",        new comOpenIO());
	pM->addAlgorithm("comReadEvent",     new comReadEvent());
	pM->addAlgorithm("comSkipEvent",     new comSkipEvent());
	pM->addAlgorithm("comWriteEvent",    new comWriteEvent());
	pM->addAlgorithm("comWriteOutData",     new comWriteOutData());
	pM->addAlgorithm("comWriteOutDetector", new comWriteOutDetector());
	pM->addAlgorithm("comWriteOutInfo",     new comWriteOutInfo());
	pM->addAlgorithm("comWriteWelcome",  new comWriteWelcome());
	pM->addAlgorithm("comWriteBye",      new comWriteBye());

	/*! adds the system algorithms */
	pM->addAlgorithm("centellaAlg",      new centellaAlg());
	pM->addAlgorithm("runEventAlg",      new runEventAlg());
	pM->addAlgorithm("runRunAlg",        new runRunAlg());
}