#include "Event/centellaCommands.h"
#include "Event/dataManager.h"
#include "Event/dataDetectorServer.h"
#include "Event/IOfileServer.h"
#include "Event/optionManager.h"
#include "Event/messageManager.h"

//-------- COMMANDS ---------------------
//#######################################
void comLoadCalibration::execute()
//#######################################
{
	dataManager::instance()->det()->update();
}
//#######################################
void comOpenIO::execute()
//#######################################
{	
	dataManager::instance()->IO()->open();
}
//#######################################
void comCloseIO::execute()
//#######################################
{
	dataManager::instance()->IO()->close();
}
//##################################
void comReadEvent::execute()
//##################################
{
	// read an event (or skip)
	dataManager::instance()->IO()->readEvent();
}
//##################################
void comSkipEvent::execute()
//##################################
{
	dataManager::instance()->IO()->skipEvent();
}
//##################################
void comWriteEvent::execute()
//##################################
{
	dataManager::instance()->IO()->writeEvent();
}
//##################################
void comWriteOutData::execute()
//##################################
{
	dataManager::instance()->evt()->writeOutServer();
}
//#######################################
void comWriteOutDetector::execute()
//#######################################
{
	dataManager::instance()->det()->writeOutServer();
}
//#######################################
void comWriteOutInfo::execute()
//#######################################
{
	messageManager::instance()->writeOut("processManager");
	messageManager::instance()->writeOut("selectionManager");
	messageManager::instance()->writeOut("dataManager");
}
//#######################################
void comApplyOptions::execute()
//#######################################
{
	optionManager::instance()->optionServer::setOption();
}
//#######################################
void comListOptions::execute()
//#######################################
{
	optionManager::instance()->writeOutOptionsServer();
}
//##########################################
void comWriteWelcome::execute()
//##########################################
{
	std::ostream& out = messageManager::instance()->out();
	
	out << " ************************** " << "\n";
	out << " **                      ** " << "\n";
	out << " **            centella  ** " << "\n";
	out << " **               V 1.10 ** " << "\n";
	out << " ************************** " << "\n";
}
//##########################################
void comWriteBye::execute()
//##########################################
{
	std::ostream& out = messageManager::instance()->out();
	
	out << " ************************** " << "\n";
	out << " ** That's all folks     ** " << "\n";
	out << " ************************** " << "\n";
}
//---------- CONDITIONS or CUTS------------
//##################################
bool conNextEvent::apply()
//##################################
{
	return dataManager::instance()->IO()->nextEvent();
}
