#include "Event/centellaSys.h"

#include "Event/processManager.h"
#include "Event/dataManager.h"
#include "Event/messageManager.h"
#include "Event/selectionManager.h"
#include "Event/optionManager.h"

//############################################
centellaSys::centellaSys()
//############################################
{
	//! the orden in the creation is important.
	/*! the optionManager should be created first and messageManager second */
	m_optionManager = new optionManager();
	m_messageManager = new messageManager();

	m_processManager = new processManager();
	m_dataManager    = new dataManager();
	m_selectionManager = new selectionManager();

}
//############################################
centellaSys::~centellaSys()
//############################################
{
	delete m_processManager;
	delete m_dataManager;
	
	delete m_messageManager;
	delete m_selectionManager;
	delete m_optionManager;
}
