#ifndef cutSelection_h
#define cutSelection_h

#include "Event/cutComposite.h"
#include "Event/serviceI.h"
//! A cutSelection is a cutComposite (a collection of cuts) with optionVI and messageVI services
/*! 
	<ul>
	<li> is a cutComposite.
	<li> is a serviced class by the base class serviceI. To be included in ther
	servers every object of cutSelection should have a unique name.
	<li> A user can add cuts into the cutComposite via the \c setOption() methods of optionVI.
	</ul>
*/
//##############################
class cutSelection: public cutComposite, public serviceI
//##############################
{
public:

	
	//! constructor - set a name and recive the services declared in serviceI
	cutSelection(std::string name) { m_cutName = ""; setName(name);}
	//! destructor
	~cutSelection();

	//! write Out the information of this class
	virtual void writeOut() const;

protected:

	//! define the options 
	virtual void defineOption();
	//! operation : add cut into composite
	virtual void setOption(std::string addCut, std::string cutName);

private:

	//! dummy - last cut in composite, for optionVI
	std::string m_cutName;
};
#endif