#ifndef cutUserServer_h
#define cutUserServer_h

#include "Event/cutVI.h"
#include "Event/serverVI.h"

class cutEvtRead;
class cutEvtScan;
class cutGammaTracker;
class cutGammaTagger;

//###########################
class cutUserServer: public serverVI<cutVI> 
//###########################
{
public:

	//! Server with the cuts (cutVI) defined by the system and the user
	/*! the cuts derived from cutVI should be declared/construct here to make them
	available to the rest of the program via de selectionManager*/

	//! constructor - constructs the User cuts
	cutUserServer();
	//! destructor - destroies the User cuts
	~cutUserServer();

private:

	//! create system cuts
	void createSystemCuts();
	//! create user cuts
	void createUserCuts();

};
#endif