#ifndef centellaalgorithmCommands_h
#define centellaalgorithmCommands_h

#include "Event/algorithmCommand.h"
#include "Event/cutVI.h"

//----- COMMANDS ---------
//! algorithmCommand class to load the detector configuration
//########################
class comLoadCalibration : public algorithmCommand
//########################
{
public:
	virtual void execute();
};
//! algorithmCommand class to open the IO files
//########################
class comOpenIO : public algorithmCommand
//########################
{
public:
	virtual void execute();
};
//! algorithmCommand to close the IO files
//########################
class comCloseIO : public algorithmCommand
//########################
{
public:
	virtual void execute();
};
//! algorithmCommand to load/read the event
//########################
class comReadEvent : public algorithmCommand
//########################
{
public:
	virtual void execute();
};
//! algorithmCommand to skip one event
//########################
class comSkipEvent : public algorithmCommand
//########################
{
public:
	virtual void execute();
};
//! algorithmCommand to save/write the event
//########################
class comWriteEvent : public algorithmCommand
//########################
{
public:
	
	virtual void execute();
};	
//! algorithmCommand to write out information of system classes
//########################
class comWriteOutInfo : public algorithmCommand
//########################
{
public:
	virtual void execute();
};
//! algorithmCommand to writeOut information of the dataEvent classes
//########################
class comWriteOutData : public algorithmCommand
//########################
{
public:
	virtual void execute();
};
//! algorithmCommand to writeOut information of the detector geometry
//########################
class comWriteOutDetector : public algorithmCommand
//########################
{
public:
	virtual void execute();
};
//! algorithmCommand to apply options to the classes 
//########################
class comApplyOptions : public algorithmCommand
//########################
{
public:
	virtual void execute();
};
	//! algorithmCommand to list options of the classes 
//########################
class comListOptions : public algorithmCommand
//########################
{
public:
	virtual void execute();
};
//! algorithmCommand to write the header/welcome of centella 
//########################
class comWriteWelcome : public algorithmCommand
//########################
{
public:
	virtual void execute();
};
//------- CUTS ----------
//! cutVI that return true is there is an event waiting in persistency
//########################
class conNextEvent : public cutVI
//########################
{
public:
	virtual bool apply();
};
#endif