#ifndef converterVI_h
#define converterVI_h

//----------------------------------
//! virtual base class for converters
/*!
converters should inherits from this class.<br>
a converter has the following methods:
<ul>
	<li>\c load() to load the persistent data into transient data.
	<li>\c save() to save the transient data into persistency.
</ul>
*/
//-----------------------------------
// JA Hernando, Santa Cruz, 06/16/00
//-----------------------------------
//###################################
class converterVI
//###################################
{
public:

	//! default constructor
	converterVI(){}
	//! defualt destructor
	~converterVI(){}

	//! virtual base method to load from permanent to transient
	virtual void load() = 0;
	//! virtual base method to save from transient to permanent
	virtual void save() = 0;

};
#endif