#ifndef rHisto_h
#define rHisto_h

#include "Event/optionVI.h"

//##################################
class rHisto : public optionVI
//##################################
{
public:

	enum TYPE {H1,H2};

public:

	//! constructor
	rHisto(std::string typ, std::string name, std::string title,
		double nx, double x0,double xf,
		double ny=0, double y0=0, double yf=0);
	//! destructor
	~rHisto();

	//! book the histograms
	virtual void book();

	//! defineOption
	virtual void defineOption();

	//! command to execute \c book()
	virtual void command(std::string com);

	//! returns the name
	std::string histoName() const {return m_name;}

private:

	enum TYPE m_type;
	std::string m_name;
	std::string m_title;
	double m_nx;
	double m_x0;
	double m_xf;
	double m_ny;
	double m_y0;
	double m_yf;
};
#endif