#include "Event/messageVI.h"
#include "Event/messageManager.h"

//###################################
void messageVI::setName(std::string name)
//###################################
{
	nameVI::setName(name);
	/*! add this object into the messageManager server */
	messageManager::instance()->addToServer(name,this);
}
//###########################################
void messageVI::message(std::string message, std::string level) const
//###########################################
{
	if (level == "" && !acceptLevel()) return;
	messageManager::instance()->message(name()+": "+message,level);
}
//###########################################
void messageVI::message(std::string message, double d, std::string level) const
//###########################################
{
	if (level == "" && !acceptLevel()) return; 
	messageManager::instance()->message(name()+": "+message,d,level);
}
//###########################################
bool messageVI::acceptLevel() const
//###########################################
{
	return (getLevel()<=messageManager::instance()->getLevel());
}
//###########################################
void messageVI::writeOut() const
//###########################################
{
	if (!acceptLevel()) return;
	std::ostream& out = messageManager::instance()->out();
	out << " *** Info of " << name() << " *** " << "\n";
}
