#include "Event/rHisto.h"

#include "TROOT.h"
#include "TFile.h"
#include "TObject.h"
#include "TObjArray.h"
#include "TH1.h"
#include "TH2.h"
#include "TProfile.h"
#include "TNtuple.h"

//#############################
rHisto::rHisto(std::string typ, std::string name, std::string title, 
			   double nx, double x0, double xf,
			   double ny, double y0, double yf)
//#############################
{
	m_name = name;
	if (typ == "H1") m_type = rHisto::H1;
	else if (typ == "H2") m_type = rHisto::H2;
	else if (typ == "HP") m_type = rHisto::HP;
	m_title = title;
	m_nx = nx;
	m_x0 = x0;
	m_xf = xf;
	m_ny = ny;
	m_y0 = y0;
	m_yf = yf;

	defineOption();
}
//#############################
void rHisto::book()
//#############################
{
	if (m_type == H1) {
		TH1F* histo = new TH1F(m_name.c_str(),m_title.c_str(),
			(float) m_nx, (float) m_x0, (float) m_xf);
	} else if (m_type == H2) {
		TH2F* histo = new TH2F(m_name.c_str(),m_title.c_str(),
			(float) m_nx, (float) m_x0, (float) m_xf,
			(float) m_ny, (float) m_y0, (float) m_yf);
	} else if (m_type == HP) {
		TProfile* histo = new TProfile(m_name.c_str(),m_title.c_str(),
			(float) m_nx, (float) m_x0, (float) m_xf );
	}
}
//#############################
void rHisto::command(std::string com)
//#############################
{
	if (com == "book") book();
}
//#############################
void rHisto::defineOption()
//#############################
{
	optionVI::defineOption("title",&m_title);
	optionVI::defineOption("nx",&m_nx);
	optionVI::defineOption("x0",&m_x0);
	optionVI::defineOption("xf",&m_xf);
	optionVI::defineOption("ny",&m_ny);
	optionVI::defineOption("y0",&m_y0);
	optionVI::defineOption("yf",&m_yf);
};