#ifndef rHistoServer_h
#define rHistoServer_h

#include "Event/rHisto.h"
#include "Event/serverVI.h"
#include "Event/optionServer.h"

//#############################
class rHistoServer 
//#############################
{
public:

	//! constructor - create the server
	rHistoServer();
	//! destructor - destroies the server
	~rHistoServer();

	//! set the name of the file from where reads the values
	void setBookOptionFile(std::string name) {m_optServer->setOptionFileName(name);}

	//! add a rHisto into the server
	void addHisto(rHisto* histo);
	//! create and add a rHisto into the server
	void newHisto(std::string typ, std::string name, std::string title,
		double nx, double x0,double xf,
		double ny=0, double y0=0, double yf=0);


	//! redefine all the histogram via the optionServer
	void redefine() {m_optServer->setOption();}

	//! book all the histograms
	void book() {m_histos->command("book");}

private:

	//! private option Server
	optionServer* m_optServer;
	//! server with the histograms
	serverVI<rHisto>* m_histos;
};
#endif