#include "Event/dataDetectorServer.h"
#include "Event/messageManager.h"

//#################################
dataDetectorServer::dataDetectorServer()
//#################################
{
	m_detectorGeo = new detectorGeo();

	m_server = new serverVI<trsDataVI>();

	setName("dataDetectorServer");
}
//#################################
void dataDetectorServer::update(std::string name)
//#################################
{
	if (m_server->search(name)) m_server->get(name)->update();
	else message(" Can not update trandient data "+name);
	return;
}
//#################################
trsDataVI* dataDetectorServer::getTrsData(std::string name) const
//#################################
{
	trsDataVI* data = m_server->get(name);
	if (data !=0 )  return data; 
	return 0;
}
//#################################
void dataDetectorServer::addData(std::string name, trsDataVI* data)
//#################################
{
	if (!m_server->search(name)) m_server->add(name,data);
	else messageManager::instance()->
		message(" already declared transient data "+name);
}
//#################################
void dataDetectorServer::writeOut() const
//#################################
{
	if (m_server->size() == 0) return;
	if (!acceptLevel()) return;
	std::ostream& out = messageManager::instance()->out();
	messageVI::writeOut();
	out << " -- transient calibration data in server -- " << "\n";
	out << m_server->nameList();
}
//#################################
dataDetectorServer::~dataDetectorServer()
//#################################
{
	delete m_server;
}
