#include "Event/optionVI.h"
#include "Event/optionManager.h"
#include "Event/messageManager.h"

//################################
void optionVI::setName(std::string name) 
//################################
{
	nameVI::setName(name);
	/*! add the object into the optionManager*/
	optionManager::instance()->addToServer(name,this);
} 
//################################
bool optionVI::search(std::string name) const
//################################
{
	return (m_sserver.search(name) || m_dserver.search(name) || m_iserver.search(name) );
}
//################################
void optionVI::writeOutOptions() const
//################################
{
	std::ostream& out = messageManager::instance()->out();
	if (m_sserver.size()==0 && m_dserver.size()==0 && m_iserver.size()==0) return;

	out << " >> list of options "+name() << " << " << "\n";

	int iop = 0;
	for (iop = 0; iop < m_sserver.size(); iop++) {
		out << "  option : " << m_sserver.getName(iop);
		out << " = " << *(m_sserver.get(iop)) <<"\n";
	}
	
	for (iop = 0; iop < m_dserver.size(); iop++) {
		out << "  option : " << m_dserver.getName(iop);
		out << " = " << *(m_dserver.get(iop)) <<"\n";
	}
	for (iop = 0; iop < m_iserver.size(); iop++) {
		out << "  option : " << m_iserver.getName(iop);
		out << " = " << *(m_iserver.get(iop)) <<"\n";
	}
}