#include "Event/rTreeBase.h"

#include "TFile.h"
#include "TTree.h"

//#############################################
template<class rCore> void rTreeBase<rCore>::open()
//##############################################
{
	rTFileBase::open();
	if (!isOpen()) return;

	m_core->Create();
	getFile()->cd();

	if (getMode() == IOBase::READ) {
		m_RTree = (TTree*) gDirectory->Get("T");
		m_RTree->SetBranchAddress(className(),&m_core);
		setNumEvents(m_RTree->GetEntries());
	} else if (getMode() == IOBase::WRITE) {
	    m_RTree = new TTree("T", "TreeBase");
		TBranch* branch = m_RTree->Branch(className(),className(),&m_core, bufsize, split);
	}
}
//#######################
template<class rCore> void rTreeBase<rCore>::readEvent()
//#######################
{

	if (m_RTree == 0) return;
	if (!isOpen()) return;
	if (getMode() != IOBase::READ) return;

	m_core->Clean();		
	m_RFile->cd();

	Int_t nb = 0,nbytes = 0;
	nb = m_RTree->GetEvent((Int_t) eventNumber());
	nbytes += nb;

	IOfileVI::readEvent();
}
//#######################
template<class rCore> void rTreeBase<rCore>::writeEvent()
//#######################
{
  
	if (m_RTree == 0) return;	
	if (!isOpen()) return;
	if (getMode() != IOBase::WRITE) return;

	m_RFile->cd();
	m_RTree->Fill();

	m_core->Clean();
	m_core->Create();
	IOfileVI::writeEvent();
}

//########################
template<class rCore> void rTreeBase<rCore>::clear()
//########################
{
	if (m_RTree !=0) delete m_RTree;

	m_RTree = 0;

    bufsize = 64000;
    split = 1;          // split objects into sub branches

	rTFileBase::clear();
}



