#include "Event/userDataEvent.h"
#include "Event/dataManager.h"

#include "generation/SiLayers.h"
#include "reconstruction/SiClusters.h"
#include "reconstruction/SiRecObjs.h"
#include "instrument/CalADCLogs.h"
#include "reconstruction/CalRecLogs.h"
#include "reconstruction/CsIClusters.h"
#include "generation/BeamTagger.h"
#include "analysis/CalAnaLogs.h"
#include "analysis/selectionData.h"
#include "analysis/tbHeader.h"	
	
//####################################
userDataEvent::userDataEvent()
//####################################
{
	/*! get the dataEventServer */
	dataEventServer* EVT = dataManager::instance()->evt();
	
	/*! create and add transient data for the Tracker */
	EVT->addData("SiLayers", new SiLayers());
	EVT->addData("SiClusters", new SiClusters());
	EVT->addData("SiRecObjs", new SiRecObjs());

	/*! create and add transient event data for the calorimeter */
    EVT->addData("CalRawLogs", new CalADCLogs());
	EVT->addData("CalRecLogs", new CalRecLogs());
	EVT->addData("CsIClusterList", new CsIClusterList());

	EVT->addData("CalAnaLogs", new CalAnaLogs());

	/*! create and add transient data for the taggeer */
	EVT->addData("BeamTagger", new BeamTagger());

	/*! create and add transient data for the selection */
	EVT->addData("selectionData", new selectionData());

	/*! create and add transient data for the header */
	EVT->addData("tbHeader", new tbHeader());
}
