#include "Event/userCuts.h"

#include "reconstruction/cutEvtRead.h"
#include "reconstruction/cutEvtScan.h"
#include "reconstruction/cutTkrFlag.h"
#include "reconstruction/cutZpos.h"
#include "reconstruction/cutYpos.h"
#include "reconstruction/cutXpos.h"
#include "reconstruction/cutplane.h"
#include "reconstruction/cutEne.h"
#include "reconstruction/cutGetGood.h"
#include "reconstruction/cutTagEne.h"

//###############################
userCuts::userCuts()
//###############################
{
	/*! get the selectionManager */
	selectionManager* sM = selectionManager::instance();
	
	/*! create and add cuts to read selected number of events */
	sM->addCut("cutEvtRead", new cutEvtRead());
	sM->addCut("cutEvtScan", new cutEvtScan());
	sM->addCut("cutTkrFlag", new cutTkrFlag());

	/*! cut to select only a range of energy in the cal*/
	sM->addCut("cutEne", new cutEne());
	/*! cut to select only a range of Z positions in GAMMA*/
	sM->addCut("cutZpos", new cutZpos());
	/*! cut to select only a range of X positions in gamma*/
	sM->addCut("cutXpos", new cutXpos());
	/*! cut to select only a range of Y positions in gamma*/
	sM->addCut("cutYpos", new cutYpos());
	/*! cut to select only a range of plane in GAMMA*/
	sM->addCut("cutplane", new cutplane());
	/*! cut to select on good in tracker from tagger data GAMMA*/
	sM->addCut("cutGetGood", new cutGetGood());
	/*! cut to select only events where tagger and calorimeter energies agree*/
	sM->addCut("cutTagEne", new cutTagEne());

}