#include "Event/userDataEvent.h"
#include "Event/dataManager.h"

#include "reconstruction/sirClusterList.h"
#include "reconstruction/sirTrackList.h"
#include "reconstruction/csiCluster.h"
#include "reconstruction/towGamma.h"
#include "reconstruction/eventID.h"

#include "reconstruction/BeamTagger.h"
#include "reconstruction/SiLayers.h"
	
//####################################
userDataEvent::userDataEvent()
//####################################
{
	/*! get the dataEventServer */
	dataEventServer* EVT = dataManager::instance()->evt();
	
	/*! create and add transiend data for eventID's */
	EVT->addData("rawEventID", new eventID());
	EVT->addData("reconEventID", new eventID());

	/*! create and add transient data for beamTagger */
	EVT->addData("BeamTagger", new BeamTagger());

	/*! create and add transient data for Silicon Layers */
	EVT->addData("SiLayers", new SiLayers());

	/*! create and add transient data for the Tracker */
	EVT->addData("sirClusterList", new sirClusterList());
	EVT->addData("sirTrackList", new sirTrackList());

	/*! create and add transient data for the CSI cluster */
	EVT->addData("csiCluster", new csiCluster());

	/*! create and add trandient data for the gamma */
	EVT->addData("towGamma", new towGamma());
}
