#include "RootTree/convCsiCluster.h"

#include "Event/dataManager.h"
#include "Event/messageManager.h"
#include "RootTree/CalRecon.h"
#include "RootTree/CalCluster.h"

#include "TVector3.h"

//###############################################
void convCsiCluster::define()
//###############################################
{
	if (defined()) return;
	m_csiCluster  = dataManager::instance()->getData("csiCluster",m_csiCluster);
	m_recon       = dataManager::instance()->IO()->treeIn()->core();
	setDefine(true);
}

//###############################################
void convCsiCluster::load() 
//###############################################
{
	if (!defined()) define();

	m_csiCluster->clear();

	TObjArray* TClusters = m_recon->getCalRecon()->getCalClusters();
	if (TClusters->GetEntries() <=0 ) return;
	
	CalCluster* rCluster = (CalCluster*) TClusters->At(0);

	TVector3* pp = rCluster->getPosition();
	m_csiCluster->setPosition(pp->X(),pp->Y(),pp->Z());

	TVector3* dd = rCluster->getDirection();
	m_csiCluster->setDirection(dd->X(),dd->Y(),dd->Z());

	double eneSum = rCluster->getEsum();
	m_csiCluster->setEneSum(eneSum);

	double eneFit = rCluster->getFitEnergy();
	m_csiCluster->setEneFit(eneFit);

	double eneCor = rCluster->getEcorr();
	m_csiCluster->setEneCor(eneCor);

	m_csiCluster->writeOut();
}