#include "RootTree/convEventID.h"

#include "Event/dataManager.h"
#include "Event/messageManager.h"
#include "RootTree/ReconHeader.h"

//###############################################
void convEventID::define()
//###############################################
{
	if (defined()) return;
	m_eventID  = dataManager::instance()->getData("reconEventID",m_eventID);
	m_recon    = dataManager::instance()->IO()->treeIn()->core();
	
	setDefine(true);
}

//###############################################
void convEventID::load() 
//###############################################
{
	if (!defined()) define();

	m_eventID->clear();
	ReconHeader* header = m_recon->getReconFlags();
	int ievent = (int) header->getEventID();
	m_eventID->setEventID(ievent);
	bool tkrflag = (bool) header->HasTkrRecon();
	m_eventID->setTkrOk(tkrflag);
	bool calflag = (bool) header->HasCalRecon();
	m_eventID->setCalOk(calflag);
}