#ifndef convEventID_h
#define convEventID_h

#include "Event/converterVI.h"
#include "Event/defineVI.h"

#include "RootTree/Recon.h"
#include "reconstruction/eventID.h"


//---------------------------
//! converter: from Recon to eventID
//---------------------------
// JA Hernando, Santa Cruz, CA, 16/07/00
//---------------------------

//###########################
class convEventID : public converterVI, public defineVI
//###########################
{
public:

	//! default constructor
	convEventID(){m_recon=0;m_eventID=0;m_tkrflag = false;m_calflag = true;}
	//! default destructor
	~convEventID(){}

	//! convert from Recon to eventID
	virtual void load();
	//! null conversion from eventID to Recon
	virtual void save() {}

private:

	//! define the pointers
	virtual void define();

private:

	//! pointer to Recon
	Recon* m_recon;
	//! pointer to EventID
	eventID* m_eventID;
	//! Tkr flag
	bool m_tkrflag;
	//! Cal flag
	bool m_calflag;

};
#endif