#ifndef convSirClusterList_h
#define convSirClusterList_h


#include "Event/converterVI.h"
#include "Event/defineVI.h"

#include "reconstruction/sirClusterList.h"
#include "RootTree/Recon.h"
#include "RootTree/TkrSiCluster.h"

//! converter of sirClusterList
 
//##############################
class convSirClusterList : public converterVI, public defineVI
//##############################
{
public:

	//! default contructor
	convSirClusterList() {m_Recon=0;m_sirClusterList=0;}
	//! default destructor
	~convSirClusterList() {}

	//! set the Recon class pointer 
	void setRecon(Recon* rec)  {m_Recon = rec;}

	//! define the pointers at run time
	virtual void define();


	//! load from Recon to siClusters
	virtual void load();
	//! save from SiClusters to Recon
	virtual void save();

protected:

	//! convert from TkrSiCluster into SiCluster
	static sirCluster* converter(TkrSiCluster* tcl);
	//! convert from SiCluster into TkrSiCluser
	static TkrSiCluster* converter(sirCluster* scl);

private:

	sirClusterList* m_sirClusterList;
	Recon*      m_Recon;
};
#endif