#ifndef convSirTracks_h
#define convSirTracks_h

#include "Event/converterVI.h"
#include "Event/defineVI.h"

#include "RootTree/Recon.h"
#include "RootTree/TkrRecon.h"
#include "RootTree/TkrGamma.h"
#include "RootTree/TkrTrack.h"
#include "RootTree/TkrHit.h"
#include "RootTree/TkrSiCluster.h"
#include "RootTree/TkrLocator.h"

#include "reconstruction/sirTrackList.h"
#include "reconstruction/sirClusterList.h"

//---------------------------
//! converter: from Recon to sirTrackList 
//---------------------------
// JA Hernando, Santa Cruz, CA, 16/06/00
//---------------------------

//###########################
class convSirTrackList : public converterVI, public defineVI
//###########################
{
public:

	//! default constructor
	convSirTrackList(){m_recon=0;m_tracks=0;m_clusters=0;}
	//! default destructor
	~convSirTrackList(){}

	//! convert from Recon to sirTrackList
	virtual void load();
	//! null conversion from sirTrackList to Recon
	virtual void save() {}

protected:

	//! converter from TkrGamma to sirGamma
	sirGamma* converter(TkrGamma* Tgamma);
	//! converter from TkrTrack to sirTack
	sirTrack* converter(TkrTrack* Ttrack);
	//! converter from TkrHit to sirHit
	sirHit* converter(TkrHit* Thit);
	//! converter to TkrLocator to sirLocator
	static void addLocator(sirLocator* loc, TkrLocator* Tloc);

private:

	//! define the pointers
	virtual void define();

private:

	//! pointer to Recon
	Recon* m_recon;
	//! pointer to silicon tracks
	sirTrackList* m_tracks;
	//! pointer to the silicon clusters
	sirClusterList* m_clusters;
};
#endif