#include "RootTree/hFolderCsiCluster.h"

#include "Event/dataManager.h"

#include "TROOT.h"
#include "TFile.h"
#include "TObject.h"
#include "TObjArray.h"
#include "TH1.h"
#include "TH2.h"
#include "TNtuple.h"

//####################################
void hFolderCsiCluster::define()
//####################################
{
	if (defined()) return;

	getFile()->cd();

	char* varname = "idevt:eneSum:eneFit:eneTag:eneCor:xpos:ypos:zpos:xdir:ydir:zdir";
	TNtuple* nt10 = new TNtuple("ntCsiCluster"," csi cluster ",varname);

	m_cluster = dataManager::instance()->getData("csiCluster",m_cluster);
	m_tagger = dataManager::instance()->getData("BeamTagger",m_tagger);

	setDefine(true);
}
//####################################
void hFolderCsiCluster::fill()
//####################################
{
	if (!defined()) define();

	Float_t idevt = dataManager::instance()->IO()->eventNumber();
	Float_t eneSum = m_cluster->eneSum();
	Float_t eneFit = m_cluster->eneFit();
	Float_t eneCor = m_cluster->eneCor();
	Float_t xpos = m_cluster->position().x();
	Float_t ypos = m_cluster->position().y();
	Float_t zpos = m_cluster->position().z();
	Float_t xdir = m_cluster->direction().x();
	Float_t ydir = m_cluster->direction().y();
	Float_t zdir = m_cluster->direction().z();
	Float_t eneTag = -1.;
		if (m_tagger->nParticle() ==1) eneTag = 1000.*m_tagger->momentum(0);


	((TNtuple*) getFile()->Get("ntCsiCluster"))->
		Fill(idevt,eneSum,eneFit,eneTag,eneCor,xpos,ypos,zpos,xdir,ydir,zdir);
}