#ifndef hFolderSiToT_h
#define hFolderSiToT_h

#include "Event/rHistoFolder.h"
#include "reconstruction/sirTrackList.h"
#include "reconstruction/sirClusterList.h"
#include "reconstruction/SiLayers.h"
#include "reconstruction/BeamTagger.h"
#include "reconstruction/csiCluster.h"

//###############################
class hFolderSiToT : public rHistoFolder
//###############################
{
public:

	//! default constructor
	hFolderSiToT() {ini();}
	//! default destructor
	~hFolderSiToT();

	//! define the si Tracks histograms
	virtual void define();
	//! fill the si Tracks histograms
	virtual void fill();

private:

	//! set the null the data pointers 
	void ini();

	//! fill ntuples and histos of the ToT gamma
	void fillToTGamma();
	//! fill ntuples and histos of the ToT per plane
	void fillToTPlanes();

private:

	//! pointer to the BeamTagger data
	BeamTagger* m_tagger;
	//! pointer to the sirClusterList data
	csiCluster* m_calCluster;

	//! pointer to the SiLayers data
	SiLayers* m_siLayers;
	//! pointer to the sirClusterList data
	sirClusterList* m_clusters;
	//! pointer to the sirTrackList transient data class
	sirTrackList* m_tracks;
};
#endif