#ifndef hFolderSirTrackList_h
#define hFolderSirTrackList_h

#include "Event/rHistoFolder.h"
#include "reconstruction/sirTrackList.h"
#include "reconstruction/BeamTagger.h"
#include "Event/cutVI.h"

//! Histograms for the Silicon Tracks
/*!
It is a rHistoFolder user implementation
*/
//###############################
class hFolderSirTrackList : public rHistoFolder
//###############################
{
public:

	//! default constructor
	hFolderSirTrackList() {m_tracks = 0; m_ievt = 0; m_itrack =0;m_tagger = 0;};
	//! default destructor
	~hFolderSirTrackList();

	//! define the si Tracks histograms
	virtual void define();
	//! fill the si Tracks histograms
	virtual void fill();

private:

	//! define this general histos for the tracks
	void defineGeneral();
	//! define the histograms/ntuple for the gamma
	void defineGamma();
	//! define the histograms/ntuple for the tracks
	void defineTracks();

	//! fill the general histos
	void fillGeneral();
	//! fill the gamma histos/ntuple
	void fillGamma();
	//! fill the tracks histos/ntuple
	void fillTracks();

	//! fill this track into histos/ntuple
	void fillTrack(sirTrack* track);

private:

	//! pointer to the sirTrackList transient data class
	sirTrackList* m_tracks;
	BeamTagger* m_tagger;

	//! internal counter for eventId
	int m_ievt;
	//! internal counter of tracks in the event
	int m_itrack;
};
#endif