#include "RootTree/hFolderTowGamma.h"

#include "Event/dataManager.h"

#include "TROOT.h"
#include "TFile.h"
#include "TObject.h"
#include "TObjArray.h"
#include "TH1.h"
#include "TH2.h"
#include "TNtuple.h"

//####################################
void hFolderTowGamma::define()
//####################################
{
	if (defined()) return;

	getFile()->cd();

	char* varname = "idevt:ene:xpos:ypos:zpos:xdir:ydir:zdir";
	TNtuple* nt10 = new TNtuple("ntRecGamma"," rec gamma ",varname);

	m_gamma = dataManager::instance()->getData("towGamma",m_gamma);

	setDefine(true);
}
//####################################
void hFolderTowGamma::fill()
//####################################
{
	if (!defined()) define();

	Float_t idevt = dataManager::instance()->IO()->eventNumber();
	Float_t ene = m_gamma->energy();
	Float_t xpos = m_gamma->position().x();
	Float_t ypos = m_gamma->position().y();
	Float_t zpos = m_gamma->position().z();
	Float_t xdir = m_gamma->direction().x();
	Float_t ydir = m_gamma->direction().y();
	Float_t zdir = m_gamma->direction().z();


	((TNtuple*) getFile()->Get("ntRecGamma"))->
		Fill(idevt,ene,xpos,ypos,zpos,xdir,ydir,zdir);
}