
#ifndef rHistoAnaServer_h
#define rHistoAnaServer_h

#include "Event/rHistoFileServer.h"
//----------------------------------------
//! User implementation of histogram/ntuples.
/*! 
\c a HistoFileServer has all IOfileVI operations defined via rTFileBase
\c a HistoFileServer handles a collection or rHistoFolder via the
rHistoFolderServer.
	<ul>
	<li> It modifies the \c open() of rTFileBase to set the TFile into
	the rHistoFolders of the rHistoFolderServer.
	<li> The User should declare all the rHistoFolders in the 
	\c defineHistoFolder() method.
	</ul>
*/
//----------------------------------------

//######################
class rHistoAnaServer : public rHistoFileServer
//######################
{
public:


	//! generic constructor. 
	/*! A list of User defined "rHistoFolder" are created and stored*/
	rHistoAnaServer() {defineHistoFolders();};
	//! destructor
	~rHistoAnaServer() {};

	//! the user should define the folders
	virtual void defineHistoFolders();

};

#endif

