
#include "analysis/selectionAlg.h"
#include "Event/selectionManager.h"
#include "analysis/selectionData.h"
#include "Event/dataManager.h"
#include "Event/dataUserServerEvent.h"

//##########################################
void selectionAlg::initialize()
//##########################################
{
	selectionData* selData = 0;
	selData = dataManager::instance()->getData("selectionData",selData);
	if (selData->num() == 0) selData->ini();
	selData->setValid(true);
}
//##########################################
void selectionAlg::execute()
//##########################################
{
	acceptEvent();
	updateCounters();
}
//##########################################
void selectionAlg::acceptEvent()
//##########################################
{
	cutVI*  sel = selectionManager::instance()->getCut("selAna");
	selectionData*  selData = 0;
	selData = dataManager::instance()->getData("selectionData",selData);
	selData->setValid(sel->apply());
}
//##########################################
void selectionAlg::updateCounters()
//##########################################
{
	cutComposite*  selection = selectionManager::instance()->getCutComposite("selAna");
	selectionData* selData = 0;
	selData = dataManager::instance()->getData("selectionData",selData);

	int jCut = 0;
	selData->increase(0);
	unsigned int nCut = selection->num();
	unsigned int iCut = 0;
	for (iCut = 0; iCut < nCut; iCut++ ) {
		jCut++;
		bool val = selection->get(iCut)->apply();
		if (val) selData->increase(jCut);
		if (!val) break;
	}
}
