// $Header:

#ifndef ARVEPRINTER_H
#define ARVEPRINTER_H

#include "control/PrintControl.h"

// Template class that makes it easy to add a printer. Just do,
//
//   PrintControl::instance()->addPrinter("My stuff",new ArvePrinter<Me>(this));
//
// and implement void printOn(ostream& out)const;
template<class T>
class ArvePrinter : public Command {
public:
    ArvePrinter(const T* t):m_t(t),m_out(PrintControl::instance()->out()){}
    void execute(){m_t->printOn(*m_out);}
private:
    const T* m_t;
    ostream* m_out;
};
#endif
