//     $Id: CompoundCommand.cxx,v 1.1.1.1 2000/04/03 21:03:47 wilko Exp $
// Project: Atlas top-level prototype
//  Author: Toby Burnett
//
// Implementation of CompoundCommand

#include "CompoundCommand.h"
#include <algorithm>


CompoundCommand::CompoundCommand(Command* cmd)
{
    if(cmd ) append(cmd);
}

void CompoundCommand::append(Command * cmd)
{
    push_back(cmd);
}

CompoundCommand::~CompoundCommand()
{
    iterator ic = begin();
    while (ic != end() )
	delete *ic++;
}

//static void Executor (Command *p) { p->execute (); }
class Executor { 
public: 
	void operator()(Command* c){c->execute();} 
};

void CompoundCommand::execute()
{
	std::for_each (begin (), end (), Executor());
}

