//     $Id: EventLoop.h,v 1.1.1.1 2000/04/03 21:03:48 wilko Exp $
// Project: Atlas top-level prototype
//  Author: Toby Burnett

#ifndef EVENTLOOP_H
#define EVENTLOOP_H

#include "control/LoopCommand.h"
#include "control/Command.h"

class Menu;
class SubMenu;

class EventLoop : public LoopCommand {
// Define the basic event processing loop. It creates a menu category
// "Event Loop" which controls the compound command that it will run
public:
    EventLoop(Command * cmd);
    // deprecated constructor, uses singleton Menu

    EventLoop(Menu&, Command *cmd=0);
    // constructor needing a Menu and, optionally a Command

    void execute();
    // run the loop

    void setup(Command* cmd);
    // replace the commmand

    static EventLoop* s_running;
    // make ourself available if running: allows pausing from the application
    // (a dreaded global, need a better solution)

    SubMenu& menu();
    // return reference to the submenu for other applications to add commands

    void set_loop_count();
    // run dialog box to ask for loop count

    void single_event();
    // execute a single event, including running the basic command


private:
    Menu& m_menu;
    SubMenu* m_sub_menu;

};

#endif


