
#include "reconstruction/BeamTagger.h"
#include "Event/messageManager.h"

//################################################
void BeamTagger::clear()
//################################################
{
	m_clean = 0.;
	m_xbeam = m_ybeam=0.;
    m_goodGamma = m_goodElectron = m_goodKion = m_goodHadron = m_goodPion = m_goodProton = true;
	m_PIDList.clear();
	m_momList.clear();
}

//################################################
void BeamTagger::ini()
//################################################
{
	clear();
}
//################################################
void BeamTagger::writeOut() const
//################################################
{
	if (m_PIDList.size() <=0) return;

	std::ostream& out = messageManager::instance()->out();

	if (!messageManager::instance()->acceptLevel("DEBUG")) return; 

	out << " --- Tagger --- " << "\n";
	out << " Tagger " << " clean " << m_clean << " XBeam " << m_xbeam << " YBeam " << m_ybeam
		<< " particles " << m_PIDList.size() << "\n";
	for (int i = 0; i < m_PIDList.size();i++) {
		out << " particle #" << i << " ID " << m_PIDList[i] << " momentum " << m_momList[i] << "\n";
	}
}
