#include "reconstruction/comOpenRawTree.h"
#include "Event/dataManager.h"
#include "Event/IOfileServer.h"
#include "Event/rTreeBase.cpp"

//##################################
comOpenRawTree::comOpenRawTree()
//##################################
{

	m_fileName = "";
	m_rawTree = 0;

	setName("comOpenRawTree");

	m_rawTree = new rTreeRawServer();

	defineOption();
}
//##################################
void comOpenRawTree::execute()
//##################################
{
	/*! open the raw input file */
	if (!defined()) define();
	std::string name = m_fileName;
	IOfileServer* FS = dataManager::instance()->IO();
	if (name !="") {
		FS->getIOfile("inputRaw")->setFileName(name);
		FS->getIOfile("inputRaw")->setMode(IOBase::READ);
		FS->getIOfile("inputRaw")->open();
		if (FS->getIOfile("inputRaw")->isOpen()) {
			message(" opened input file "+name);
		} else message(" could not open input Raw file "+name);
	}
}
//##################################
void comOpenRawTree::define()
//##################################
{

	if (defined()) return;

	dataManager::instance()->IO()->addIOfile("inputRaw", m_rawTree);

	setDefine(true);
}
//##################################
void comOpenRawTree::defineOption()
//##################################
{
	optionVI::defineOption("InFile",&m_fileName);
}
