
#ifndef comOpenRawTree_h
#define comOpenRawTree_h

#define comOpenRawTree_h
#define comOpenRawTree_h

#include "Event/defineVI.h"
#include "Event/IOfileVI.h"
#include "Event/algorithmVI.h"
#include "Event/serviceI.h"

#include "Event/algorithmCommand.h"
#include "Event/serviceI.h"
#include "Event/defineVI.h"

#include "RootTree/rTreeRawServer.h"

//! algorithmCommand to open a Raw Tree
//########################
class comOpenRawTree : public algorithmCommand, public serviceI, public defineVI
//########################
{
public:

	//! constructor - create the rawTree
	comOpenRawTree();
	//! destructor - destroies the rawTree
	~comOpenRawTree();

	//! open the Raw Tree
	virtual void execute();

private:

	//! define 
	virtual void define();

	//! define the options
	virtual void defineOption();

private:

	//! pointer to the raw tree
	rTreeRawServer* m_rawTree;

	//! name of the file to open
	std::string m_fileName;
};

#endif