#ifndef csiCluster_h
#define csiCluster_h

#include "Event/trsDataVI.h"

#include "geometry/Point.h"
#include "geometry/Vector.h"

//#############################
class csiCluster: public trsDataVI
//#############################
{
public:

	//! constructor
	csiCluster(){ini();}
	//! destructor
	~csiCluster(){}

	//! clear the variables
	void clear();
	//! null make
	void make() {};

	//! set position
	void setPosition(double x, double y, double z)    {m_position = Point(x,y,z);}
	//! set direction
	void setDirection(double x, double y, double z)   {m_direction = Vector(x,y,z);}
	//! set sum energy
	void setEneSum(double e)     {m_eneSum = e;}
	//! set fitted energy
	void setEneFit(double e)     {m_eneFit = e;}
	//! set corrected energy
	void setEneCor(double e)     {m_eneCor = e;}

	//! returns the position
	Point position() const {return m_position;}
	//! returns the direction
	Vector direction() const {return m_direction;}
	//! returns the sum energy
	double eneSum() const {return m_eneSum;}
	//! returns the fitted energy
	double eneFit() const {return m_eneFit;}
	//! returns the corrected energy
	double eneCor() const {return m_eneCor;}

private:

	//! ini the variables
	void ini() {clear();};

private:

	//! position of the cluster
	Point m_position;
	//! direction of the cluster
	Vector m_direction;
	//! sum of the energy
	double m_eneSum;
	//! fitted energy
	double m_eneFit;
	//! corrected energy
	double m_eneCor;

};
#endif