#ifndef cutEne_h
#define cutEne_h

#include "Event/cutVI.h"
#include "reconstruction/csiCluster.h"
#include "Event/defineVI.h"
#include "Event/serviceI.h"


//####################
class cutEne : public cutVI, public defineVI, public serviceI 
//####################
{
public:

	//construct
	cutEne();
	~cutEne(){}

	//! returns true if energy is within defined band energy
	virtual bool apply();

	//! define the parameters
	void defineOption();

protected:

	//! get the pointer to si clusters
	virtual void define();

private:

	csiCluster* m_cluster;

	double m_minEne;
	double m_maxEne;

};
#endif