#include "reconstruction/cutTagEne.h"
#include "Event/dataManager.h"
//##############################
cutTagEne::cutTagEne()
//##############################
{
	setName("cutTagEne");
	m_delta = 100000;
}
//##############################
//##############################
void cutTagEne::define()
//##############################
{
	if (defined()) return;
	m_cluster = dataManager::instance()->getData("csiCluster",m_cluster);
	m_tagger = dataManager::instance()->getData("BeamTagger",m_tagger);
	setDefine(true);
}
//##############################
bool cutTagEne::apply()
//##############################
{
	if (!defined()) define();
	m_eneTag = -1.;
	m_eneCal = -1.;
	if (m_tagger->nParticle() ==1) {m_eneTag = 1000.*m_tagger->momentum(0);
		m_eneCal = m_cluster->eneSum();
			return ((m_eneTag-m_eneCal)/m_eneCal <= m_delta);
	}
	else return false;
}
//##############################
void cutTagEne::defineOption()
//##############################
{
	optionVI::defineOption("delta",&m_delta);

}