#ifndef cutTagEne_h
#define cutTagEne_h

#include "Event/cutVI.h"
#include "reconstruction/csiCluster.h"
#include "reconstruction/BeamTagger.h"
#include "Event/defineVI.h"
#include "Event/serviceI.h"


//####################
class cutTagEne : public cutVI, public defineVI, public serviceI 
//####################
{
public:

	//construct
	cutTagEne();
	~cutTagEne(){}

	//! returns true if energys of tagger and calorimeter agree and there is tagger data for event
	virtual bool apply();

	//! define the parameters
	void defineOption();

protected:

	//! get the pointer to si clusters
	virtual void define();

private:

	csiCluster* m_cluster;
	BeamTagger* m_tagger;

	double m_delta;
	double m_eneTag;
	double m_eneCal;

};
#endif