#include "reconstruction/cutXpos.h"
#include "Event/dataManager.h"
#include "RootTree/hFolderSirTrackList.h"

#include "Event/dataManager.h"
#include "Event/selectionManager.h"

#include "TROOT.h"
#include "TFile.h"
#include "TObject.h"
#include "TObjArray.h"
#include "TH1.h"
#include "TH2.h"
#include "TNtuple.h"
#include <stdio.h>
#include <cstdio>

//##############################
cutXpos::cutXpos()
//##############################
{
	
	m_cuts = 0;
	m_maxcuts = 100;
	m_minX = new double[m_maxcuts];
	m_maxX = new double[m_maxcuts];
	for(int i = 0; i < m_maxcuts; i++){
		m_minX[i] = 17;
		m_maxX[i] = 17;
	}
	setName("cutXpos");
}
//##############################
cutXpos::~cutXpos()
//##############################
{
	delete[] m_minX;
	delete[] m_maxX;
}
//##############################
void cutXpos::define()
//##############################
{
	if (defined()) return;
	m_tracks = dataManager::instance()->getData("sirTrackList",m_tracks);
	setDefine(true);
}
//##############################
bool cutXpos::apply()
//##############################
{
	if (!defined()) define();
	sirGamma* gamma = m_tracks->gamma();
	if (gamma ==0) return 0;

	bool ok = true;
	for(int i = 0; i < m_cuts; i++) {
		m_xpos    = gamma->X();
		ok = ok && (!(m_xpos >= m_minX[i] && m_xpos < m_maxX[i]));
	}
	return ok;
}
//##############################
void cutXpos::defineOption()
//##############################
{
	if (!defined()) define();

	optionVI::defineOption("inter",&m_cuts);
//	m_cuts = 2;
	for (int i = 0; i < m_maxcuts; i++) {
		
		char nm[100],nd[100];
		sprintf(nm,"%s%d","minX",i);
		sprintf(nd,"%s%d","maxX",i);
		optionVI::defineOption(std::string(nm),&(m_minX[i]));
		optionVI::defineOption(std::string(nd),&(m_maxX[i]));
		
	}

}
