#ifndef cutXpos_h
#define cutXpos_h

#include "Event/cutVI.h"
#include "reconstruction/sirTrackList.h"
#include "Event/defineVI.h"
#include "Event/serviceI.h"


//####################
class cutXpos : public cutVI, public defineVI, public serviceI 
//####################
{
public:

	//construct
	cutXpos();
	~cutXpos();

	//! returns false if position is within defined range
	virtual bool apply();

	//! define the parameters
	void defineOption();

protected:

	
	virtual void define();

private:

	sirTrackList* m_tracks;
	int m_cuts;
	Float_t m_xpos;
	int m_maxcuts;
	double *m_minX;
	double *m_maxX;

};
#endif