/*
#include "reconstruction/cutYpos.h"
#include "Event/dataManager.h"
#include "RootTree/hFolderSirTrackList.h"

#include "Event/dataManager.h"
#include "Event/selectionManager.h"

#include "TROOT.h"
#include "TFile.h"
#include "TObject.h"
#include "TObjArray.h"
#include "TH1.h"
#include "TH2.h"
#include "TNtuple.h"

//##############################
cutYpos::cutYpos()
//##############################
{
	setName("cutYpos");
	m_minY = -16.;
	m_maxY = -16.;

}
//##############################
void cutYpos::define()
//##############################
{
	if (defined()) return;
	m_tracks = dataManager::instance()->getData("sirTrackList",m_tracks);
	setDefine(true);
}
//##############################
bool cutYpos::apply()
//##############################
{
	if (!defined()) define();
	sirGamma* gamma = m_tracks->gamma();
	if (gamma ==0) return 0;
	m_ypos    = gamma->Y();
	return (!(m_ypos >= m_minY && m_ypos < m_maxY));

}
//##############################
void cutYpos::defineOption()
//##############################
{
	optionVI::defineOption("minY",&m_minY);
	optionVI::defineOption("maxY",&m_maxY);
}
*/

#include "reconstruction/cutYpos.h"
#include "Event/dataManager.h"
#include "RootTree/hFolderSirTrackList.h"

#include "Event/dataManager.h"
#include "Event/selectionManager.h"

#include "TROOT.h"
#include "TFile.h"
#include "TObject.h"
#include "TObjArray.h"
#include "TH1.h"
#include "TH2.h"
#include "TNtuple.h"
#include <stdio.h>
#include <cstdio>

//##############################
cutYpos::cutYpos()
//##############################
{
	
	m_cuts = 0;
	m_maxcuts = 100;
	m_minY = new double[m_maxcuts];
	m_maxY = new double[m_maxcuts];
	for(int i = 0; i < m_maxcuts; i++){
		m_minY[i] = 17;
		m_maxY[i] = 17;
	}
	setName("cutYpos");
}
//##############################
cutYpos::~cutYpos()
//##############################
{
	delete[] m_minY;
	delete[] m_maxY;
}
//##############################
void cutYpos::define()
//##############################
{
	if (defined()) return;
	m_tracks = dataManager::instance()->getData("sirTrackList",m_tracks);
	setDefine(true);
}
//##############################
bool cutYpos::apply()
//##############################
{
	if (!defined()) define();
	sirGamma* gamma = m_tracks->gamma();
	if (gamma ==0) return 0;

	bool ok = true;
	for(int i = 0; i < m_cuts; i++) {
		m_ypos    = gamma->Y();
		ok = ok && (!(m_ypos >= m_minY[i] && m_ypos < m_maxY[i]));
	}
	return ok;
}
//##############################
void cutYpos::defineOption()
//##############################
{
	if (!defined()) define();

	optionVI::defineOption("inter",&m_cuts);
//	m_cuts = 2;
	for (int i = 0; i < m_maxcuts; i++) {
		
		char nm[100],nd[100];
		sprintf(nm,"%s%d","minY",i);
		sprintf(nd,"%s%d","maxY",i);
		optionVI::defineOption(std::string(nm),&(m_minY[i]));
		optionVI::defineOption(std::string(nd),&(m_maxY[i]));
		
	}

}
