#ifndef cutYpos_h
#define cutYpos_h

#include "Event/cutVI.h"
#include "reconstruction/sirTrackList.h"
#include "Event/defineVI.h"
#include "Event/serviceI.h"


//####################
class cutYpos : public cutVI, public defineVI, public serviceI 
//####################
{
public:

	//construct
	cutYpos();
	~cutYpos();

	//! returns false if position is within defined range
	virtual bool apply();

	//! define the parameters
	void defineOption();

protected:

	
	virtual void define();

private:

	sirTrackList* m_tracks;
	int m_cuts;
	int m_maxcuts;
	Float_t m_ypos;
	double *m_minY;
	double *m_maxY;


};
#endif