#include "reconstruction/cutZpos.h"
#include "Event/dataManager.h"
#include "RootTree/hFolderSirTrackList.h"

#include "Event/dataManager.h"
#include "Event/selectionManager.h"

#include "TROOT.h"
#include "TFile.h"
#include "TObject.h"
#include "TObjArray.h"
#include "TH1.h"
#include "TH2.h"
#include "TNtuple.h"

//##############################
cutZpos::cutZpos()
//##############################
{
	setName("cutZpos");
	m_minZ = 0.;
	m_maxZ = 60.;

}
//##############################
void cutZpos::define()
//##############################
{
	if (defined()) return;
	m_tracks = dataManager::instance()->getData("sirTrackList",m_tracks);
	setDefine(true);
}
//##############################
bool cutZpos::apply()
//##############################
{
	if (!defined()) define();
	sirGamma* gamma = m_tracks->gamma();
	if (gamma ==0) return 0;
	m_zpos    = gamma->Z();
	return (m_zpos >= m_minZ && m_zpos < m_maxZ);

}
//##############################
void cutZpos::defineOption()
//##############################
{
	optionVI::defineOption("minZ",&m_minZ);
	optionVI::defineOption("maxZ",&m_maxZ);
}
