#include "reconstruction/cutplane.h"
#include "Event/dataManager.h"
#include "RootTree/hFolderSirTrackList.h"

#include "Event/dataManager.h"
#include "Event/selectionManager.h"

#include "TROOT.h"
#include "TFile.h"
#include "TObject.h"
#include "TObjArray.h"
#include "TH1.h"
#include "TH2.h"
#include "TNtuple.h"

//##############################
cutplane::cutplane()
//##############################
{
	setName("cutplane");
	m_minplane = 16.;
	m_maxplane = 16.;

}
//##############################
void cutplane::define()
//##############################
{
	if (defined()) return;
	m_tracks = dataManager::instance()->getData("sirTrackList",m_tracks);
	setDefine(true);
}
//##############################
bool cutplane::apply()
//##############################
{
	if (!defined()) define();
	sirGamma* gamma = m_tracks->gamma();
	if (gamma ==0) return 0;
	m_plane    = gamma->plane();
	return (!(m_plane >= m_minplane && m_plane <= m_maxplane));

}
//##############################
void cutplane::defineOption()
//##############################
{
	optionVI::defineOption("minplane",&m_minplane);
	optionVI::defineOption("maxplane",&m_maxplane);
}
