#ifndef sirHit_h
#define sirHit_h

#include "reconstruction/sirQuality.h"
#include "reconstruction/sirLocatorID.h"

#include "reconstruction/sirCluster.h"

//---------------------------------
//! storage class for the clusters associated to the tracks

//---------------------------------
// JA Hernando, Santa Cruz, Ca, 16/06/00
//---------------------------------
//#################################
class sirHit : public sirQuality, public sirLocatorID
//#################################
{
public:

	//! default constructor
	sirHit() {m_cluster=0;}
	//! constructor - set the cluster
	sirHit(sirCluster* cluster):m_cluster(cluster) {}
	//! default destructor - does not destroy the sirCluster
	~sirHit(){}

	//! add a cluster
	void setCluster(sirCluster* cluster) {m_cluster = cluster;}
	//! returns the cluster
	sirCluster* getCluster() const {return m_cluster;}

private:

	sirCluster* m_cluster;
};
#endif