#ifndef sirBase_h
#define sirBase_h

#define NVIEWS 2
#define NPLANES 16

//! SiRec base class with the definition of the enum VIEW and some constans

//############################
class sirBase
//############################
{
public:

	enum VIEW {X,Y,XY};

public:

	//! transforms enum VIEW into integer
	static VIEW intToView(int iview);
	//! transforms integer into enum VIEW
	static int  viewToInt(VIEW v);

	//! returns the minimum energy used in the tracker
	static double minEnergy() {return m_minEnergy;}
	//! returns the number of view (X and Y)
	static int numViews()  {return m_numViews;}
	//! returns the number of planes
	static int numPlanes() {return m_numPlanes;}
	//! returns the numbor of towers
	static int numTowers() {return m_numTowers;}

private:

	static double m_minEnergy;
	static int m_numViews;
	static int m_numPlanes;
	static int m_numTowers;
};
#endif