#ifndef sirTrack_h
#define sirTrack_h

#include "reconstruction/sirQuality.h"
#include "reconstruction/sirLocatorID.h"

#include "reconstruction/sirHit.h"

#include <vector>

//------------------------
//! storage class for the reconstructed silicon track
//------------------------
// JA Hernando, Santa Cruz, CA, 16/6/00
//------------------------
//########################
class sirTrack : public sirQuality, public sirLocatorID
//########################
{
public:

	//! default constructor
	sirTrack() {m_hits.clear();}
	//! defautl destructor - destroies the sirHit 
	~sirTrack() {clear();}

	//! adds sirHit into the track
	void addHit(sirHit* hit);
	//! creates a sirHit from a sirCluster and add it into the track
	void addHit(sirCluster* cluster);

	//! return the number of hits
	int numHits() const {return m_hits.size();}
	//! return sirHit in position i
	sirHit* getHit(int i) const {return (i>=0 && i < numHits()? m_hits[i]:0);}

protected:

	//! clear the list of hits
	void clear();

private:

	std::vector<sirHit*> m_hits;

};
#endif