#include "reconstruction/sirTrackList.h"

//####################################
void sirTrackList::clear()
//####################################
{
	/*! delete the pointer in the general list*/
	for (int itrack = 0; itrack < m_list.size(); itrack++) delete m_list[itrack];
	/*! and clear the list by views */
	for (int iview = 0; iview < sirBase::numViews(); iview++ ) m_listByView[iview].clear();
	m_list.clear();
	/*! delete also sirGamma*/
	delete m_gamma;
	m_gamma = 0;
}
//####################################
void sirTrackList::addTrack(sirTrack* track)
//####################################
{
	m_list.push_back(track);
	/*! add also the track in the list of track organized view projections */
	if (track->getView() == sirBase::X) {
		m_listByView[sirBase::viewToInt(sirBase::X)].push_back(track);
	} else if (track->getView() == sirBase::Y) {
		m_listByView[sirBase::viewToInt(sirBase::Y)].push_back(track);
	}
}