#include "reconstruction/towGamma.h"

#include "Event/dataManager.h"
#include "Event/algorithmImport.h"
#include "Event/processManager.h"

//#################################
void towGamma::ini()
//#################################
{
	processManager::instance()->addAlgorithm("makeTowGamma",
		new algorithmImport<towGamma>(this,&towGamma::make) ) ;
	m_sirTrackList = 0;
	m_csiCluster = 0;
	m_sirGamma = 0;
}
//#################################
void towGamma::define()
//#################################
{
	if (defined()) return;

	m_sirTrackList = dataManager::instance()->getData("sirTrackList",m_sirTrackList);
	m_csiCluster   = dataManager::instance()->getData("csiCluster",m_csiCluster);
	setDefine(true);
}
//#################################
void towGamma::make()
//#################################
{
	if (!defined()) define();

	m_sirGamma = m_sirTrackList->gamma();
}
//#################################
Point towGamma::position() const
//#################################
{
	if (m_sirGamma!=0) return m_sirGamma->position();
	return Point(0.,0.,0.);
}
//#################################
Vector towGamma::direction() const
//#################################
{
	if (m_sirGamma != 0) return m_sirGamma->direction();
	return Vector(0.,0.,0.);
}
