#ifndef towGamma_h
#define towGamma_h

#include "Event/trsDataVI.h"
#include "Event/defineVI.h"

#include "reconstruction/sirTrackList.h"
#include "reconstruction/csiCluster.h"

//#############################
class towGamma: public trsDataVI, public defineVI
//#############################
{
public:

	//! constructor
	towGamma(){ini();}
	//! destructor
	~towGamma(){}

	//! define: take the pointers to sirTrackList and csiCluster
	void define();
	//! make -take the pointer to sirGamma
	void make();

	//! returns the energy of the gamma
	double energy() const {return m_csiCluster->eneCor();}
	//! returns the position of the gamma
	Point position() const;
	//! returns the direction of the gamma
	Vector direction() const;

	//! clear the pointer to sirGamma
	void clear() {m_sirGamma = 0;}

private:

	//! ini the pointers to null
	void ini();

private:

	sirGamma* m_sirGamma;
	sirTrackList* m_sirTrackList;
	csiCluster* m_csiCluster;
};
#endif