#ifndef userDataDetector_h
#define userDataDetector_h

//---------------------------------------
//! Class left to the user to create his/her transient detector Data
/*! 
\c userDataDetector should be implemented by the USER
<ul>
	<li> The user detector transient data classes should be created in the constructor of this class. <br>
	<li> The user detector transient data classes should be added into the 
	dataDetectorServer of the dataManager in the constructor of this class.
	For that use the following code line:<br>
	<b> dataManager::instance()->det()->addData("nameData", new dataClass()); </b><br>
	This a similar process of adding algorithms or cuts. See userAlgorithms.
	<li> All the user detector transient data classes should inherit from trsDataVI.
</ul>
*/
//----------------------------
// JA Hernando, Santa Cruz, CA, 06/15/00
//----------------------------
//#################################
class userDataDetector
//#################################
{
public:

	//! constructor 
	/*! creates the user detector transient data and stored it into the dataDetectorServer */
	userDataDetector(){};
	//! destructor - destroies the user detector transient data.
	~userDataDetector(){};
};
#endif